package cn.com.ctop.toutiao.modules.report.service;

import cn.com.ctop.common.module.entity.CtopOauthToken;
import cn.com.ctop.toutiao.modules.report.entity.BytedanceAccountReportTaskRecord;
import cn.com.ctop.toutiao.modules.report.entity.BytedanceReportMaterialRetry;
import com.alibaba.fastjson.JSONObject;

import java.util.List;

public interface IBytedanceReportService {
    /**
     * 快手 大盘报表
     *
     * @param requestJson
     * @return
     */
    JSONObject getKuaiShouAccountReport(JSONObject requestJson);


    /**
     * 获取明细
     *
     * @param
     * @return
     */
    List<JSONObject> getKuaiShouAccounDetailtReport(JSONObject requestJson);
    /**
     * 明细列表
     *
     * @param requestJson
     * @return
     */
    List<JSONObject> getReportList(JSONObject requestJson);

    int bytedanceMaterialReport(CtopOauthToken token, String startDate, String endDate);

    int bytedanceMaterialReportRetry(Integer type, CtopOauthToken token, String startDate, String endDate);

    List<BytedanceReportMaterialRetry> getRetryList();

    int bytedanceVideoMaterialReport(CtopOauthToken token, String startDate, String endDate);

    void bytedanceMaterialReportV2(BytedanceAccountReportTaskRecord record);

    void checkoutData(CtopOauthToken token, String startDate, String endDate);

}
